#!/bin/bash

# Reset and run the Transmission RSS Manager application with network access

GREEN='\033[0;32m'
YELLOW='\033[1;33m'
RED='\033[0;31m'
NC='\033[0m' # No Color

# Clean up existing test directory
echo -e "${YELLOW}Removing existing test directory...${NC}"
rm -rf "$HOME/transmission-rss-test"

# Create and prepare test directory
echo -e "${GREEN}Creating fresh test directory...${NC}"
TEST_DIR="$HOME/transmission-rss-test"
mkdir -p "$TEST_DIR"

# Create appsettings.json to listen on all interfaces
mkdir -p "$TEST_DIR/Properties"
cat > "$TEST_DIR/Properties/launchSettings.json" << 'EOL'
{
  "profiles": {
    "TransmissionRssManager": {
      "commandName": "Project",
      "dotnetRunMessages": true,
      "launchBrowser": false,
      "applicationUrl": "http://0.0.0.0:5000",
      "environmentVariables": {
        "ASPNETCORE_ENVIRONMENT": "Production"
      }
    }
  }
}
EOL

# Copy all other files from the original reset-and-run.sh
bash /opt/develop/transmission-rss-manager/reset-and-run.sh